Bug 794942 - kactivityconsumer.h absent from kde-workspace-devel in 4.8.0
kactivityconsumer.h absent from kde-workspace-devel in 4.8.0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
16
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.8
  Show dependency treegraph
 
Reported: 2012-02-17 20:00 EST by Rudd-O DragonFear
Modified: 2012-02-29 07:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-29 07:09:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2012-02-17 20:00:39 EST
Description of problem:

RPMs built in the kde-redhat project (4.8 KDE) do not contain kactivityconsumer.h which is expected by several software packages to build them.

Version-Release number of selected component (if applicable):

~/Projects/Third-party/workspacestrap/workspacestrap@karen.dragonfear α:
rpm -qi libkworkspace
Name        : libkworkspace
Version     : 4.8.0
Release     : 7.fc16
Architecture: x86_64
Install Date: Mon 13 Feb 2012 11:11:30 PM PST
Group       : Unspecified
Size        : 209160
License     : GPLv2
Signature   : DSA/SHA1, Mon 13 Feb 2012 01:16:24 PM PST, Key ID efe4780cff6382fa
Source RPM  : kde-workspace-4.8.0-7.fc16.src.rpm
Build Date  : Mon 13 Feb 2012 12:02:30 PM PST
Build Host  : math-sl6-1.unl.edu
Relocations : (not relocatable)
URL         : https://projects.kde.org/projects/kde/kde-workspace
Summary     : Runtime libkworkspace library
Description :
Runtime libkworkspace library.
Comment 1 Rex Dieter 2012-02-18 01:25:26 EST
I suspect applications may need some adjustment to use stuff from kactivities-devel instead.  in this case, maybe use
/usr/include/kde4/kactivities/consumer.h
instead?
Comment 2 Rex Dieter 2012-02-27 10:38:10 EST
rudd-o, 

which applications are affected here?  

Does patching to use
/usr/include/kde4/kactivities/consumer.h
instead help?
Comment 3 Rudd-O DragonFear 2012-02-29 03:03:18 EST
User app has been fixed to use that file.  Thanks!
Comment 4 Rex Dieter 2012-02-29 07:09:18 EST
ok, let's consider this matter closed

Note You need to log in before you can comment on or make changes to this bug.